/**************************************/
/* INCLUDES */

#include "tcp_by_udp_tunnel.h"


/**************************************/
/* FUNCTIONS */

int transfer_udp_data(round_buf * in_rb_ptr, round_buf * out_rb_ptr)
{
    char buf[TRANS_BUF_SIZE];
    int avail;

    avail = in_rb_ptr->used_size();

    // We can transfer some data.
    if (avail > 0) {
	in_rb_ptr->read_buf(buf, avail);
	out_rb_ptr->write_buf(buf, avail);
    }

    return 0;
}
